# PCFactorSetAllowDiagonalFill

Causes all diagonal matrix entries to be treated as level 0 fill even if there is no non-zero location.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFactorSetAllowDiagonalFill(PC pc)

Collective on PC

### Input Parameters

| pc | - the preconditioner context

### Options Database Key

| -pc_factor_diagonal_fill | - Notes: Does not apply with 0 fill.

### Keywords

PC, levels, fill, factorization, incomplete, ILU

Level:intermediate
Location: src/ksp/pc/impls/factor/ilu/ilu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages